Subject: Re: question on why hvc_console calls hvc_poll() in hvc_handle_interrupt().

From: Michael Ellerman <[email-masked]>
Date: Wed, 03 May 2006 17:42:43 +1000

On Thu, 2006-04-20 at 15:25 -0500, Ryan Arnold wrote:
> While on the topic of hvc_console; I think I saw a patch go through a
> while ago that added hvc_poll() to hvc_handle_interrupt().  I can't say
> I'm too pleased with that addition.  I did my best to keep locking
> outside of the interrupt handler.
> 
> I wonder if that change was tested on a power5 lpar system with several
> secondary VSerial Server adapters (hvc1-hvcn) being hammered with data.
> I'm pretty paranoid about deadlock, hence the reason for keeping locking
> out of the int. handler.

That was Milton's patch. No idea whether it's correct/tested.

cheers

-- 
Michael Ellerman
IBM OzLabs

wwweb: http://michael.ellerman.id.au
phone: +61 2 6212 1183 (tie line 70 21183)

We do not inherit the earth from our ancestors,
we borrow it from our children. - S.M.A.R.T Person